<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: IPv6</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d9/dcf/group__core-ip6-ip6.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">IPv6<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d2/df2/group__core-ipv6.html">IPv6</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This module includes definitions for core IPv6 networking.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for IPv6:</div>
<div class="dyncontent">
<center><table><tr><td><img src="../../d9/dcf/group__core-ip6-ip6.png" border="0" alt="" usemap="#d9_2dcf_2group____core-ip6-ip6"/>
<map name="d9_2dcf_2group____core-ip6-ip6" id="d9_2dcf_2group____core-ip6-ip6">
<area shape="rect" id="node1" href="../../d2/df2/group__core-ipv6.html" title="This module includes definitions for the IPv6 network layer. " alt="" coords="5,5,53,31"/>
</map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html">Thread::Ip6::Ip6</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements the core IPv6 message processing.  <a href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements an IPv6 address object.  <a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db9/structThread_1_1Ip6_1_1HeaderPoD.html">Thread::Ip6::HeaderPoD</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IPv6 header.  <a href="../../de/db9/structThread_1_1Ip6_1_1HeaderPoD.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html">Thread::Ip6::Header</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 header generation and parsing.  <a href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html">Thread::Ip6::ExtensionHeader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 Extension <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> generation and processing.  <a href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d98/classThread_1_1Ip6_1_1HopByHopHeader.html">Thread::Ip6::HopByHopHeader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 Hop-by-Hop Options <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> generation and parsing.  <a href="../../dc/d98/classThread_1_1Ip6_1_1HopByHopHeader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html">Thread::Ip6::OptionHeader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 Options generation and parsing.  <a href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d93/classThread_1_1Ip6_1_1OptionPadN.html">Thread::Ip6::OptionPadN</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 PadN Option generation and parsing.  <a href="../../d7/d93/classThread_1_1Ip6_1_1OptionPadN.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de1/classThread_1_1Ip6_1_1OptionPad1.html">Thread::Ip6::OptionPad1</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 Pad1 Option generation and parsing.  <a href="../../d7/de1/classThread_1_1Ip6_1_1OptionPad1.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html">Thread::Ip6::FragmentHeader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 Fragment <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> generation and parsing.  <a href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dcb/structThread_1_1Ip6_1_1Route.html">Thread::Ip6::Route</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IPv6 route.  <a href="../../d6/dcb/structThread_1_1Ip6_1_1Route.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/ddb/classThread_1_1Ip6_1_1Routes.html">Thread::Ip6::Routes</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 route management.  <a href="../../db/ddb/classThread_1_1Ip6_1_1Routes.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Thread::Ip6::MessageInfo</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements message information for an IPv6 message.  <a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html">Thread::Ip6::SockAddr</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements a socket address.  <a href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga83d94b02a618038e1534f9e12001d095"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">Thread::Ip6::IpProto</a> { <br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095af0cabc58472c62cd7c323ca2af1fce27">Thread::Ip6::kProtoHopOpts</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a1c4f58f46e88646807462a0c0ef25d48">Thread::Ip6::kProtoTcp</a> = 6, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a083b654658383200cb8576ae7c8df190">Thread::Ip6::kProtoUdp</a> = 17, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a6e7be0e85d196b143588cbae5b530ad8">Thread::Ip6::kProtoIp6</a> = 41, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a80a47e9bf04b6638f4e6c030145ead72">Thread::Ip6::kProtoRouting</a> = 43, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095ae8a7a32c56a41a5bd607c3f422a73a4a">Thread::Ip6::kProtoFragment</a> = 44, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a77d8b7ed49764996c78218ac407b3be2">Thread::Ip6::kProtoIcmp6</a> = 58, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095aab937e13981c7f13f0dd8303eef12dfe">Thread::Ip6::kProtoNone</a> = 59, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a9a9bdec4b2e2dbdba704f98b03ff791c">Thread::Ip6::kProtoDstOpts</a> = 60
<br />
 }<tr class="memdesc:ga83d94b02a618038e1534f9e12001d095"><td class="mdescLeft">&#160;</td><td class="mdescRight">Internet Protocol Numbers.  <a href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ga83d94b02a618038e1534f9e12001d095"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga09c02298ae6967b7fdc12c3661d10458"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga09c02298ae6967b7fdc12c3661d10458ad1d2d0978672bdd1d726aec91129404e">Thread::Ip6::kVersionClassFlowSize</a> = 4
 }</td></tr>
<tr class="separator:ga09c02298ae6967b7fdc12c3661d10458"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga6f7f51d5ac8a0dd8f655591952f3d581"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga6f7f51d5ac8a0dd8f655591952f3d581"></a>
static Ip6 *&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Ip6::Ip6FromTaskletScheduler</b> (TaskletScheduler *aTaskletScheduler)</td></tr>
<tr class="separator:ga6f7f51d5ac8a0dd8f655591952f3d581"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad31964ca788ff8cdf1c21266fa5c5153"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gad31964ca788ff8cdf1c21266fa5c5153"></a>
static Ip6 *&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Ip6::Ip6FromTimerScheduler</b> (TimerScheduler *aTimerScheduler)</td></tr>
<tr class="separator:gad31964ca788ff8cdf1c21266fa5c5153"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This module includes definitions for core IPv6 networking. </p>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga09c02298ae6967b7fdc12c3661d10458"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga09c02298ae6967b7fdc12c3661d10458ad1d2d0978672bdd1d726aec91129404e"></a>kVersionClassFlowSize&#160;</td><td class="fielddoc">
<p>Combined size of Version, Class, Flow Label in bytes. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga83d94b02a618038e1534f9e12001d095"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">Thread::Ip6::IpProto</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Internet Protocol Numbers. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga83d94b02a618038e1534f9e12001d095af0cabc58472c62cd7c323ca2af1fce27"></a>kProtoHopOpts&#160;</td><td class="fielddoc">
<p>IPv6 Hop-by-Hop Option. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga83d94b02a618038e1534f9e12001d095a1c4f58f46e88646807462a0c0ef25d48"></a>kProtoTcp&#160;</td><td class="fielddoc">
<p>Transmission Control Protocol. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga83d94b02a618038e1534f9e12001d095a083b654658383200cb8576ae7c8df190"></a>kProtoUdp&#160;</td><td class="fielddoc">
<p>User Datagram. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga83d94b02a618038e1534f9e12001d095a6e7be0e85d196b143588cbae5b530ad8"></a>kProtoIp6&#160;</td><td class="fielddoc">
<p>IPv6 encapsulation. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga83d94b02a618038e1534f9e12001d095a80a47e9bf04b6638f4e6c030145ead72"></a>kProtoRouting&#160;</td><td class="fielddoc">
<p>Routing <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> for IPv6. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga83d94b02a618038e1534f9e12001d095ae8a7a32c56a41a5bd607c3f422a73a4a"></a>kProtoFragment&#160;</td><td class="fielddoc">
<p>Fragment <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> for IPv6. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga83d94b02a618038e1534f9e12001d095a77d8b7ed49764996c78218ac407b3be2"></a>kProtoIcmp6&#160;</td><td class="fielddoc">
<p>ICMP for IPv6. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga83d94b02a618038e1534f9e12001d095aab937e13981c7f13f0dd8303eef12dfe"></a>kProtoNone&#160;</td><td class="fielddoc">
<p>No Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> for IPv6. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga83d94b02a618038e1534f9e12001d095a9a9bdec4b2e2dbdba704f98b03ff791c"></a>kProtoDstOpts&#160;</td><td class="fielddoc">
<p>Destination Options for IPv6. </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
